set :user, 'web'

set :application, 'test.pharmacieboissier.com' # use your folder app name
set :deploy_to, "/home/#{user}/apps/#{application}/" # the live app will be in the "current" subdir
#set :deploy_via, :checkout

#set :keep_releases, 1


#use trunk to deploy to production
  set :branch, "master"
  set :rails_env, "production"

#production
  set :domain, 'test.pharmacieboissier.com' # your http://publicdomain.com
  role :app, domain
  role :web, domain
  role :db, domain, :primary => true



set :scm, :git
set :repository,  "git@box1.quartz-agence.com:pharmacieboissier.git"

set :use_sudo, false
set :ssh_options, {:forward_agent => true}

after "deploy", "deploy:bundle_gems"
after "deploy:bundle_gems", "deploy:restart"
after "deploy:restart", "deploy:cleanup"

# if you're still using the script/reaper helper you will need
# these http://github.com/rails/irs_process_scripts

# If you are using Passenger mod_rails uncomment this:
namespace :deploy do
	task :bundle_gems do 
		run "cd #{deploy_to}current && bundle install"
	end
	task :start do ; end
	task :stop do ; end
	task :restart, :roles => :app, :except => { :no_release => true } do
		run "touch #{File.join(current_path,'tmp','restart.txt')}"
	end
end
